WordPress 技巧:禁用 WordPress 自动更新

2014.03.15 46 Comments 4,829 次阅读

随着 WordPress 的不断更新,官方早在3.7的版本中就添加了 WordPress 自动更新的功能,考虑到很多朋友在使用很早以前的 WordPress主题和插件,也许会造成后台的错误提示或者前台网页出错,所以周良这里分享一下禁用 WordPress 自动更新的几种方法。

第一种方法代码如下:

[cce_php]
// 禁用 WordPress 自动更新
define( 'WP_AUTO_UPDATE_CORE', false );
[/cce_php]

你没看错,就这么一段简单的代码,只要把这段code加到 wp-config.php 文件中即可禁用WordPress的自动更新。

第二种:如果你打算永远不升级你的 WordPress,那么我建议你可以在你的服务器中把WordPress文件夹给设置“不可写”权限,这样不仅可以禁用自动更新,还可以防止WordPress系统文件被恶意PHP代码感染。(至于这么设置文件夹权限,我推荐大家 Google 一下。)

46 Responses
Comment (46)
Trackback (0)
  • #-14
    @TXisfine :

    我的博客在SAE,很有必要关闭他

    2014.08.8 22:02 Reply
    • 周良 :

      你在SAE,那么你根本就没办法自动更新...SAE没有那个权限

      2014.08.26 03:48 Reply
  • #-13
    @TXisfine :

    我的博客在SAE,很有必要关闭他

    2014.08.8 22:02 Reply
    • 周良 :

      你在SAE,那么你根本就没办法自动更新...SAE没有那个权限

      2014.08.26 03:48 Reply
  • #-12
    aisin :

    我博客有好多个, 很多有时忘了去手动更新, 这时自动更新就能起到不错的作用

    2014.03.23 14:07 Reply
  • #-11
    aisin :

    我博客有好多个, 很多有时忘了去手动更新, 这时自动更新就能起到不错的作用

    2014.03.23 14:07 Reply
  • #-10
    zww.me :

    我的好像不会自动更新,奇怪,哈

    2014.03.19 22:35 Reply
    • 周良 :

      vps文件权限、wp-config.php设置,都是可以影响的。我个人感觉这个自动更新就是鸡肋

      2014.03.19 23:15 Reply
      • zww.me :

        我的还是提示我升级,然后我点了升级才能升级。

        2014.03.19 23:18 Reply
    • W3Cshare :

      我的也是

      2014.03.20 17:07 Reply
  • #-9
    zww.me :

    我的好像不会自动更新,奇怪,哈

    2014.03.19 22:35 Reply
    • 周良 :

      vps文件权限、wp-config.php设置,都是可以影响的。我个人感觉这个自动更新就是鸡肋

      2014.03.19 23:15 Reply
      • zww.me :

        我的还是提示我升级,然后我点了升级才能升级。

        2014.03.19 23:18 Reply
    • W3Cshare :

      我的也是

      2014.03.20 17:07 Reply
  • #-8
    cy :

    同事还可以禁用插件更新~加另外一行代码。

    2014.03.19 13:44 Reply
    • 周良 :

      有类似很多的,我到时候整理一下

      2014.03.19 21:16 Reply
  • #-7
    cy :

    同事还可以禁用插件更新~加另外一行代码。

    2014.03.19 13:44 Reply
    • 周良 :

      有类似很多的,我到时候整理一下

      2014.03.19 21:16 Reply
  • #-6
    这牛儿! :

    还用着3.5的。

    2014.03.18 19:14 Reply
  • #-5
    这牛儿! :

    还用着3.5的。

    2014.03.18 19:14 Reply
  • #-4
    我爱集分宝 :

    一直都是自动更新的路过

    2014.03.16 14:32 Reply
  • #-3
    我爱集分宝 :

    一直都是自动更新的路过

    2014.03.16 14:32 Reply
  • #-2
    不给力的面条 :

    为了安全,肯定需要升级版,主题一般都兼容,不兼容的自己改一下

    2014.03.15 20:56 Reply
    • 周良 :

      这个的话。看个人了,有几个朋友的版本还是2.1的

      2014.03.15 20:58 Reply
      • 不给力的面条 :

        这么厉害,我记得我最早接触的是2.7 2.8版本

        2014.03.15 21:06 Reply
        • 周良 :

          我都已经忘记我第一个接触到的是什么版本了

          2014.03.15 21:14 Reply
  • #-1
    不给力的面条 :

    为了安全,肯定需要升级版,主题一般都兼容,不兼容的自己改一下

    2014.03.15 20:56 Reply
    • 周良 :

      这个的话。看个人了,有几个朋友的版本还是2.1的

      2014.03.15 20:58 Reply
      • 不给力的面条 :

        这么厉害,我记得我最早接触的是2.7 2.8版本

        2014.03.15 21:06 Reply
        • 周良 :

          我都已经忘记我第一个接触到的是什么版本了

          2014.03.15 21:14 Reply
  • 还没有Trackback
Leave a Reply